
<div class="form">

    <?php
    $form = $this->beginWidget('CifyForm', array(
        'id' => 'bbcode-form',
        'enableAjaxValidation' => false,
    ));
    ?>

    <p class="note"><?php echo yii::t('Bbcode', 'Fields with'); ?> <span class="required">*</span> <?php echo yii::t('Bbcode', 'are required'); ?>.</p>

    <?php echo $form->errorSummary($model); ?>


    <div class="row">
        <?php echo $form->labelEx($model, 'find'); ?>
        <?php echo $form->textField($model, 'find', array('size' => 60, 'maxlength' => 255, 'placeholder' => Yii::t('Bbcode', 'find'))); ?>
        <?php echo $form->error($model, 'find'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'replace'); ?>
        <?php echo $form->textField($model, 'replace', array('size' => 60, 'maxlength' => 255, 'placeholder' => Yii::t('Bbcode', 'replace'))); ?>
        <?php echo $form->error($model, 'replace'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model, 'active'); ?>
        <?php echo $form->DropDownList($model, 'active', array(0 => Yii::t('Bbcode', 'Not active'), 1 => Yii::t('Bbcode', 'Active')), array('empty' => Yii::t('Bbcode', 'Select Stat'))); ?>
        <?php echo $form->error($model, 'active'); ?>
    </div>

    <?php $this->renderPartial('/description/_form', array('model' => ($description != NULL ? $description : new Description()), 'form' => $form)); ?>

    <div class="row buttons">
        <?php echo CHtml::submitButton($model->isNewRecord ? Yii::t('Bbcode', 'Create') : Yii::t('Bbcode', 'Save')); ?>
    </div>

    <?php $this->endWidget(); ?>

</div><!-- form -->
