<?php
$this->breadcrumbs = array(
    'BbCode', 'create'
);

$this->menu = array(
    array('label' => Yii::t('bbcode', 'Create bbcode'), 'url' => array('/epicBbCode/MangeBbcode/Create')),
);

Yii::app()->clientScript->registerScript('ajaxupdate', "
$('.ajaxupdate').live('click', function() {
        var data = { id: $(this).attr('id')  };
        $.ajax({
                type: 'POST',
                url: '/epicBbCode/mangeBbcode/checkbox/',
                data: data,
                success: function(data) {
                       $.fn.yiiGridView.update('bbcode-grid');
                }
    });
});
");
?>
<h1><?php echo Yii::t('Bbcode', 'Manage'); ?></h1>

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'bbcode-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'descriptionTitle',
            'value' => '$data->Description->title',
        ),
        array(
            'name' => 'find',
            'value' => 'Chtml::encode("$data->find")',
        ),
        array(
            'name' => 'replace',
            'value' => '$data->replace',
        ),
        array(
            'filter' => CHtml::activeDropDownList($model, 'active', array(0 => Yii::t('Bbcode', 'Not active'), 1 => Yii::t('Bbcode', 'Active')), array('empty' => Yii::t('Bbcode', 'Select Stat'))),
            'name' => 'active',
            'cssClassExpression' => '$data->active ==1 ? "active" : "not_active"',
            'type' => 'raw',
            'value' => 'CHtml::CheckBox("active", $data->active==1, array("id" => $data->id,"class"=>"ajaxupdate"))',
            'htmlOptions' => array('width' => 10),
        ),
        array(
            'header' => 'Options',
            'class' => 'CButtonColumn',
            'htmlOptions' => array('width'=> 65),
        ),
    ),
));
?>
