-- phpMyAdmin SQL Dump
-- version 4.1.14
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Sep 12, 2014 at 12:39 PM
-- Server version: 5.6.17
-- PHP Version: 5.5.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `cifynetworks`
--

-- --------------------------------------------------------

--
-- Table structure for table `epicbbcode_bbcode`
--

CREATE TABLE IF NOT EXISTS `epicbbcode_bbcode` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `active` tinyint(1) NOT NULL,
  `find` varchar(255) NOT NULL,
  `replace` varchar(255) NOT NULL,
  `datetime_add` datetime NOT NULL,
  `datetime_update` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=38 ;

--
-- Dumping data for table `epicbbcode_bbcode`
--

INSERT INTO `epicbbcode_bbcode` (`id`, `active`, `find`, `replace`, `datetime_add`, `datetime_update`) VALUES
(1, 1, '[b]{text}[/b]', '<b>{text}</b>', '2014-09-07 22:57:44', '2014-09-09 16:41:48'),
(2, 1, '[font={font}]{text}[/font]', '<span style="font-family:{font}">{text}</span>', '2014-09-08 10:55:55', '2014-09-09 18:43:12'),
(3, 1, '[url={url}]{text}[/url]', '<a href="{url}" title="{text}">{text}</a>', '2014-09-08 11:05:20', '2014-09-08 20:29:08'),
(7, 1, '[afb={url}]{text}[/afb]', '<img src="{url}" alt="{text}" title="{text}"/>', '2014-09-08 11:27:46', '2014-09-09 18:43:13'),
(8, 1, '[code]{code}[/code]', '<code>{code}</code>', '2014-09-08 17:09:01', '2014-09-09 18:43:13'),
(9, 1, '[color={color}]{text}[/color]', '<span style="color:{color}">{text}</span>', '2014-09-09 17:56:54', '2014-09-09 18:43:13'),
(10, 1, '[size={size}]{text}[/size]', '<font size="{size}">{text}</font>', '2014-09-09 19:03:11', '2014-09-09 19:07:19'),
(11, 1, '[u]{text}[/u]', '<u>{text}</u>', '2014-09-09 21:05:52', '2014-09-09 21:05:52'),
(12, 1, '[s]{}[/s]', '<s>{text}</s>', '2014-09-09 21:06:26', '2014-09-09 21:06:26'),
(13, 1, '[sub]{text}[/sub]', '<sub>{text}</sub>', '2014-09-09 21:07:22', '2014-09-09 21:07:22'),
(14, 1, '[sup]{text}[/sup]', '<super>{text}</super>', '2014-09-09 21:08:16', '2014-09-09 21:08:16'),
(27, 1, '[right]{text}[/right]', '<span style="text-align:right;">{text}</span>', '2014-09-09 21:45:26', '2014-09-09 21:45:26'),
(28, 1, '[center]{text}[/center]', '<span style="text-align:center;">{text}</span>>', '2014-09-09 21:47:09', '2014-09-09 21:49:11'),
(29, 1, '[left]{text}[/lef]', '<span style="text-align:left;">{text}</span>', '2014-09-09 21:51:02', '2014-09-09 21:51:02'),
(30, 1, '[ul]{list}[/ul]', '<ul>{list}</ul>', '2014-09-10 19:43:21', '2014-09-10 19:43:21'),
(31, 1, '[li]{text}[/li]', '<li>{text}</li>', '2014-09-10 19:44:40', '2014-09-10 19:44:40'),
(32, 1, '[ol]{list}[/ol]', '<ol>{list}</ol>', '2014-09-10 19:46:02', '2014-09-10 19:47:57'),
(33, 1, '[email={email}]{naam}[/email]', '<a href="mailto:{email}">{naam}</a>', '2014-09-10 19:49:41', '2014-09-10 19:49:41'),
(34, 1, '[youtube]{link}[/youtube]', '<iframe width="560" height="315" src="//www.youtube.com/embed/{link}?rel=0" frameborder="0" allowfullscreen></iframe>', '2014-09-10 19:53:06', '2014-09-10 20:13:07'),
(37, 1, '[php]{code}[/php]', '<pre class="prettyprint linenums">{code}</pre>', '2014-09-10 21:36:21', '2014-09-10 23:00:53');

-- --------------------------------------------------------

--
-- Table structure for table `epicbbcode_description`
--

CREATE TABLE IF NOT EXISTS `epicbbcode_description` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `lang` varchar(2) NOT NULL,
  `bbcode_id` int(11) NOT NULL,
  `title` varchar(128) NOT NULL,
  `short_description` varchar(255) NOT NULL,
  `long_description` blob NOT NULL,
  `datetime_add` datetime NOT NULL,
  `datetime_update` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `bbcode_id` (`bbcode_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=27 ;

--
-- Dumping data for table `epicbbcode_description`
--

INSERT INTO `epicbbcode_description` (`id`, `lang`, `bbcode_id`, `title`, `short_description`, `long_description`, `datetime_add`, `datetime_update`) VALUES
(2, 'en', 7, 'Image', 'short', 0x6765656e2075387064617465, '2014-09-08 11:27:46', '2014-09-08 19:22:46'),
(3, 'en', 2, 'font', 'geen', '', '2014-09-08 11:27:46', '2014-09-08 11:27:46'),
(4, 'en', 3, 'Link', 'geen een update', 0x666464646664666664, '2014-09-08 11:27:46', '2014-09-08 19:41:53'),
(5, 'en', 1, 'Bold', 'geen', 0x6f6b736f646f6b7364, '2014-09-08 11:27:46', '2014-09-09 16:30:00'),
(6, 'en', 8, 'code', 'een code tag', 0x636f646520746167, '2014-09-08 17:09:02', '2014-09-08 17:09:02'),
(7, 'en', 9, 'Color', 'color', 0x636f6c6f72, '2014-09-09 17:56:54', '2014-09-09 18:04:08'),
(8, 'en', 10, 'Size', 'size', 0x73697a65, '2014-09-09 19:03:11', '2014-09-09 19:07:19'),
(9, 'en', 11, 'underline', 'underline', 0x756e6465726c696e65, '2014-09-09 21:05:52', '2014-09-09 21:05:52'),
(10, 'en', 12, 'strike', 'strike', 0x737472696b65, '2014-09-09 21:06:27', '2014-09-09 21:06:27'),
(11, 'en', 13, 'subscript', 'subscript', 0x737562736372697074, '2014-09-09 21:07:22', '2014-09-09 21:07:22'),
(12, 'en', 14, 'superscript', 'superscript', 0x7375706572736372697074, '2014-09-09 21:08:16', '2014-09-09 21:08:16'),
(16, 'en', 27, 'right', 'right', 0x7269676874, '2014-09-09 21:45:26', '2014-09-09 21:45:26'),
(17, 'en', 28, 'center', 'center', 0x63656e746572, '2014-09-09 21:47:09', '2014-09-09 21:49:11'),
(18, 'en', 29, 'left', 'left', 0x6c656674, '2014-09-09 21:51:02', '2014-09-09 21:51:02'),
(19, 'en', 30, 'bulletlist', 'bulletlist', 0x62756c6c65746c697374, '2014-09-10 19:43:21', '2014-09-10 19:43:21'),
(20, 'en', 31, 'li', 'li', 0x6c69, '2014-09-10 19:44:40', '2014-09-10 19:44:40'),
(21, 'en', 32, 'Orderedlist', 'orderedlist', 0x6f7264657265646c697374, '2014-09-10 19:46:03', '2014-09-10 19:47:57'),
(22, 'en', 33, 'email', 'email', 0x656d61696c, '2014-09-10 19:49:41', '2014-09-10 19:49:41'),
(23, 'en', 34, 'Youtube', 'youtube', 0x796f7574756265, '2014-09-10 19:53:06', '2014-09-10 19:55:49'),
(26, 'en', 37, 'Php', 'php', 0x706870, '2014-09-10 21:36:21', '2014-09-10 23:00:53');

--
-- Constraints for dumped tables
--

--
-- Constraints for table `epicbbcode_description`
--
ALTER TABLE `epicbbcode_description`
  ADD CONSTRAINT `epicbbcode_description_ibfk_1` FOREIGN KEY (`bbcode_id`) REFERENCES `epicbbcode_bbcode` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
